Create Domiciliary Account with Account Number
curl --request POST \
--url https://api.stag.songhaiexchange.io/gateway/create-domiciliary-bank-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestDTO": [
{
"country": "NGA",
"existingAccountBankCode": "214",
"existingAccountCurrencyCode": "NGN",
"existingBankAccountNumber": "0053633074NGN",
"newAccountCurrencyCode": "USD"
}
]
}
'import requests
url = "https://api.stag.songhaiexchange.io/gateway/create-domiciliary-bank-account"
payload = { "requestDTO": [
{
"country": "NGA",
"existingAccountBankCode": "214",
"existingAccountCurrencyCode": "NGN",
"existingBankAccountNumber": "0053633074NGN",
"newAccountCurrencyCode": "USD"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestDTO: [
{
country: 'NGA',
existingAccountBankCode: '214',
existingAccountCurrencyCode: 'NGN',
existingBankAccountNumber: '0053633074NGN',
newAccountCurrencyCode: 'USD'
}
]
})
};
fetch('https://api.stag.songhaiexchange.io/gateway/create-domiciliary-bank-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dormAccountResponseDTO": [
{
"createdAccountNumber": "<string>",
"existingBankAccountNumber": "<string>",
"createdAccountCurrencyCode": "<string>",
"status": "<string>",
"msg_note": "<string>",
"msg_code": "<string>",
"msg_code_id": "<string>",
"accountBankCode": "<string>"
}
]
}API Endpoints
Domiciliary Account (Account Number)
Automatically create a domiciliary account using an existing Naira account number. Only supported in Nigeria.
POST
/
gateway
/
create-domiciliary-bank-account
Create Domiciliary Account with Account Number
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Domiciliary account created successfully
Show child attributes
Show child attributes
⌘I
